DirectoryIndex /deliver.php

RewriteEngine On

# Prevent child directories from being accessed directly
RewriteOptions InheritDownBefore

# Direct literally every request to /deliver.php
RewriteCond %{REQUEST_URI} !^/deliver.php$
RewriteRule (.+) /deliver.php [L,QSA]